function placedTiles(entity, positions)
  local surface = entity.surface
  for i,pos in pairs(positions) do
    local tile_name = surface.get_tile(pos).name
    if tile_name == "landfill" then
      surface.set_tiles({{name="grass", position=pos}})
    elseif tile_name == "waterfill" then
      surface.set_tiles({{name="water", position=pos}})
    end
  end
end

script.on_event(defines.events.on_player_built_tile, function(event)
  placedTiles(game.players[event.player_index], event.positions)
end)

script.on_event(defines.events.on_robot_built_tile, function(event)
  placedTiles(event.robot, event.positions)
end)