require "config"
require "tile_reconverter"

-- check mod state
script.on_configuration_changed(function(data)
    -- midgame installation
    if data.mod_changes ~= nil and data.mod_changes["TileReconverter"] ~= nil and data.mod_changes["TileReconverter"].old_version == nil then
        -- anounce installation
        notification({"Arci-TR-notification-midgame-update", {"Arci-TR-prefix"}, data.mod_changes["TileReconverter"].new_version})
    -- midgame update
    elseif data.mod_changes ~= nil and data.mod_changes["TileReconverter"] ~= nil and data.mod_changes["TileReconverter"].old_version ~= nil then
        local oldver = data.mod_changes["TileReconverter"].old_version
        local newver = data.mod_changes["TileReconverter"].new_version
        notification({"Arci-TR-notification-new-version", {"Arci-TR-prefix"}, oldver, newver})
    end
end)

function notification(txt, force)
    if force ~= nil then
        force.print(txt)
    else
        for k, p in pairs (game.players) do
            game.players[k].print(txt)
        end
    end
end

-- if the player presses the respective key, this event is fired to revert the tiles the player is holding in his hand back to basic tiles
script.on_event("event_revert_tiles_to_basic", function(event)
    revert_tiles(event)
end)