local function getSurroundingArea(pos, radius)
	return { left_top = { x = pos.x - radius, y = pos.y - radius },
			 right_bottom = { x = pos.x + radius, y = pos.y + radius } }
end

script.on_event(defines.events.on_trigger_created_entity, function(event)
	local entity = event.entity
	
	if entity and entity.valid and entity.name == "fire-spawn-trigger" then
		local area = getSurroundingArea(entity.position, settings.global["weed-radius"].value)
	
		entity.surface.destroy_decoratives(area)
		for _,stump in pairs(entity.surface.find_entities_filtered{ type = "corpse", area = area }) do
			if stump.valid and stump.name:find("stump") then stump.destroy() end
		end
	end
end)